package com.zhiqiyun.open.core.service;


import com.zhiqiyun.open.core.models.user.OauthInfo;

/**
 * @author jtoms
 */
public interface OauthService {

    /**
     * 生成密码
     *
     * @param loginPwd
     * @param secret
     * @return
     */
    String generatePassword(String loginPwd, String secret);

    /**
     * 保存用户登录信息
     *
     * @param accessToken
     * @param oauthInfo
     */
    void setAuth(String accessToken, OauthInfo oauthInfo);

    /**
     * 获取用户登录信息
     *
     * @param accessToken
     * @return
     */
    OauthInfo getAuth(String accessToken);

    /**
     * 销毁用户登录信息
     *
     * @param accessToken
     */
    void destroy(String accessToken);
}
